Subject: RE: bug#36500: 26.2; Minor mode doc strings - say what the current mode-variable value is

From: Drew Adams <[email-masked]>
Date: Mon, 8 Jul 2019 14:26:52 -0700 (PDT)

> > Have the automatically provided part of a minor-mode doc string, from
> > `define-minor-mode' do the following (or at least some of it):
> >
> > 1. Mention the mode variable (typically the same name as the mode,
> >    but in any case the name is known to `define-minor-mode').
> >    (The doc string currently mentions the keymap, but not the var.)
> >
> > 2. Show the current value of the variable, just as we do for the keymap.
> >    If undefined so far then say so, just as we do for the keymap.
> 
> Here's the current output from a random minor mode defined by that
> function:...
> No mention of a keymap?

Sorry, but I don't recall which minor-mode help I was
looking at the day I filed that bug (shoulda noted the
function name).  But the mode was defined by
`define-minor-mode', and the help had a sentence saying
that (minor-map) keymap such-and-such was not yet
defined. The map variable was mentioned and its value
was described, at least that far.

In any case, #1 and #2 here are about the mode variable,
not the keymap variable.

> > 3. Say whether the variable is global (an option, customizable), or
> >    buffer-local.
> 
> Yes, that makes sense.  Currently a number of these modes say so
> themselves, so that should also be adjusted:

Right.  Many mode doc strings provide info that is
not provided, or was not provided at one point, by
`define-minor-mode'.